CUPTI (PDF) - v9.0.176 (older) - Last updated September 2, 2017 - Send Feedback

## 3.2. CUpti_ActivityAPI Struct Reference

## [CUPTI Activity API]

This activity record represents an invocation of a driver or runtime API (CUPTI_ACTIVITY_KIND_DRIVER and CUPTI_ACTIVITY_KIND_RUNTIME).

### Public Variables

CUpti_CallbackId cbid
uint32_t correlationId
uint64_t end
CUpti_ActivityKind kind
uint32_t processId
uint32_t returnValue
uint64_t start
uint32_t threadId

### Variables

CUpti_CallbackId CUpti_ActivityAPI::cbid [inherited]

  The ID of the driver or runtime function.

uint32_t CUpti_ActivityAPI::correlationId [inherited]

  The correlation ID of the driver or runtime CUDA function. Each function invocation is assigned a unique correlation ID that is identical to the correlation ID in the memcpy, memset, or kernel activity record that is associated with this function.

uint64_t CUpti_ActivityAPI::end [inherited]

  The end timestamp for the function, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the function.

CUpti_ActivityKind CUpti_ActivityAPI::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_DRIVER or CUPTI_ACTIVITY_KIND_RUNTIME.

uint32_t CUpti_ActivityAPI::processId [inherited]

  The ID of the process where the driver or runtime CUDA function is executing.

uint32_t CUpti_ActivityAPI::returnValue [inherited]

  The return value for the function. For a CUDA driver function with will be a CUresult value, and for a CUDA runtime function this will be a cudaError_t value.

uint64_t CUpti_ActivityAPI::start [inherited]

  The start timestamp for the function, in ns. A value of 0 for both the start and end timestamps indicates that timestamp information could not be collected for the function.

uint32_t CUpti_ActivityAPI::threadId [inherited]

  The ID of the thread where the driver or runtime CUDA function is executing.